<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Venta extends Model
{
    protected $fillable = [
        'numero_venta', 'cliente_id', 'metodo_pago',
        'subtotal', 'descuento', 'total', 'usuario', 'activo'
    ];
    
    public function cliente()
    {
        return $this->belongsTo(Cliente::class);
    }
    
    public function detalles()
    {
        return $this->hasMany(DetalleVenta::class);
    }
}